/**
 * DevExtreme (core/utils/scroll_rtl_behavior.js)
 * Version: 20.1.16
 * Build date: Tue Oct 18 2022
 *
 * Copyright (c) 2012 - 2022 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
var _dom_adapter = require("../dom_adapter");
var _dom_adapter2 = _interopRequireDefault(_dom_adapter);
var _call_once = require("./call_once");
var _call_once2 = _interopRequireDefault(_call_once);

function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
        "default": obj
    }
}
var markupToAppend = '\n<div style="position: absolute; overflow: hidden; direction: rtl;    width: 1px; height: 1px;   left: 0; top: -1;">\n    <div style="width: 2px; height: 1px;">\n    </div>\n</div>';
var canScrollBeNegative = function(element) {
    element.scrollLeft = -1;
    return element.scrollLeft < 0
};
var getScrollRtlBehavior = (0, _call_once2.default)(function() {
    var document = _dom_adapter2.default.getDocument();
    document.body.insertAdjacentHTML("beforeend", markupToAppend);
    var elementToScroll = document.body.lastElementChild;
    var defaultScrollLeft = elementToScroll.scrollLeft;
    var negative = canScrollBeNegative(elementToScroll);
    document.body.removeChild(elementToScroll);
    return {
        decreasing: negative || defaultScrollLeft > 0,
        positive: !negative
    }
});
exports.default = getScrollRtlBehavior;
